/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-vrum                                                                                    -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

mat-sidenav-container {
  flex: 1 1 auto;
}

.menu {
  height: 100%;
  width: 80vw;
  max-width: 30rem;
}

.menu a {
  text-decoration: none;
}

.menu-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.5rem;
}

.menu-item mat-chip-list {
  margin-right: 1.5rem;
}

.menu-item a {
  flex-grow: 1;
}

.loading-indicator {
  position: absolute;
  z-index: 999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, .2);
}

footer {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin-bottom: 1rem;
}

.mat-sidenav {
  display: flex;
  flex-direction: column;
}

.mat-list {
  flex-grow: 1;
}

.version {
  font-family: 'Roboto', sans-serif;
  flex-grow: 0;
  padding: 10px;
}

.build-number {
  font-size: 1.4rem;
  font-weight: bold;
}

.build-timestamp {
  font-size: 1.2rem;
}

.mat-sidenav {
  box-shadow: 0 3px 1px -2px rgba(0, 0, 0, .2),
  0 2px 2px 0 rgba(0, 0, 0, .14),
  0 1px 5px 0 rgba(0, 0, 0, .12);
}

.mat-list-item .mat-icon {
  margin-left: 0;
  margin-right: 16px;
}
